# O Manual do &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
José
Pires

    zepires@gmail.com

Tradução
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
2011-02-05
2.7.0

O &konsole; é o emulador de terminal para o &kde;.

KDE
konsole
kdebase
comando
linha
terminal
cli

## Introdução

### O que é um terminal?

O &konsole; é um emulador de terminais X, também referido como sendo um terminal ou consola. Ele emula uma interface de linha de comandos numa janela apenas com texto.

A explicação da utilização da CLI do &UNIX; está fora do âmbito deste documento. Uma pesquisa na Web por esses termos irá produzir mais informações.

### Posicionamento

O &konsole; usa a noção de posicionamento ou deslocamento para permitir ao utilizador ver o resultado apresentado anteriormente. Por omissão, este está activo e configurado para guardar 1000 linhas de resultado para além do que está visível de momento. À medida que as linhas se deslocam para fora do cima do ecrã, estas poderão ser revistas se mover a barra de posicionamento para cima, com a ajuda da roda do rato ou com os atalhos de teclado &Shift;Page Up (para andar uma página para atrás), &Shift;Page Down (para andar uma página para a frente), &Shift;Cima (para subir uma linha) e &Shift;Baixo (para descer uma linha).

Quando o Scroll Lock está ligado, os dados do teclado e a saída para o ecrã ficam suspensos, e você poderá percorrer o histórico com o Page Up, Page Down, e o Cima e Baixo.

### Perfis

Os perfis permitem ao utilizador automatizar rápida e facilmente a execução dos comandos comuns. Os exemplos poderão incluir:

- 'ssh' para outra máquina

- iniciar uma sessão de IRC

- usar o 'tail' para vigiar um ficheiro

Estes são os procedimentos para criar um perfil novo:

1. Carregue no item do menu Configuração Configurar os Perfis...

2. Carregue no botão Novo Perfil....

3. Preencha o primeiro campo com um nome. Este é o nome que aparecerá no menu, e será o texto por omissão em vez de Linha de Comandos quando você iniciar uma sessão deste tipo.

4. Indique um comando tal e qual você faria, se abrisse uma nova linha de comandos e invocasse esse comando. Para o nosso primeiro exemplo, você poderia escrever ``ssh` administracao`.

5. Nas outras páginas da janela, configure a aparência desta sessão. Você poderá ter um tipo de letra diferente, bem como um esquema de cores e um tipo $`TERM` para cada sessão.

6. Carregue no botão OK. A sessão nova fica então disponível na janela para Gerir os Perfis....

Depois de criar os perfis, estes são apresentados pelo seu nome no menu Ficheiro Nova Página, por baixo do item predefinido da Linha de Comandos.

### Botões do Rato

Esta secção entra em detalhe com a utilização dos botões do rato para os botões de um rato destro. Para a ordem de um rato esquerdino, troque a esquerda e a direita no texto abaixo.

Esquerdo

  Se carregar com o &LMB;, esse evento será passado à aplicação a correr na emulação, se esta souber lidar com o rato. Se um programa reagir aos 'clicks' do rato, o &konsole; irá indicar isso ao mostrar um cursor em forma de seta. Caso contrário, é mostrado um cursor em I (barra).

  Se mantiver o &LMB; carregado e arrastar o rato pelo ecrã numa aplicação que não lide com o rato a correr, isso irá marcar uma região de texto. Enquanto arrasta, o texto marcado é mostrado com as cores invertidas para algum 'feedback' visual. Seleccione o Copiar do menu Editar para copiar o texto marcado na área de transferência, de modo a usá-lo posteriormente no &konsole; ou noutra aplicação. O texto seleccionado também poderá ser arrastado e largado noutras aplicações compatíveis. Carregue no texto seleccionado e arraste-o para a localização desejada. (Dependendo da sua configuração do &kde;, você poderá ter de manter a tecla &Ctrl; carregada enquanto arrasta.

  Normalmente, os caracteres de mudança de linha são inseridos no fim de cada linha seleccionada. Isto é melhor para o corte e colagem de código-fonte, ou para o resultado de um comando qualquer. Para o texto normal, as quebras de linha não são normalmente importantes. Uma pessoa poderá preferir, de qualquer forma, que o texto seja uma sequência contínua de caracteres que será formatada de novo automaticamente ao ser colada noutra aplicação. Para seleccionar o texto em modo de sequência, mantenha a tecla &Ctrl; carregada enquanto selecciona normalmente.

  Se carregar com as teclas &Ctrl; e &Alt;, em conjunto com o &LMB;, irá seleccionar uma coluna de texto.

  Faça duplo-click com o &LMB;, para seleccionar uma palavra, e triplo-click para seleccionar uma linha inteira.

  Se o limite superior ou inferior da área de texto for alterado enquanto é feita a marcação, o &konsole; deslocar-se-á para cima ou para baixo, eventualmente expondo algum texto no 'buffer' do histórico. A deslocação pára quando o rato parar de se mexer.

  Depois de o rato ser largado, o &konsole; tenta manter o texto na área de transferência visível mantendo a área marcada invertida. A área marcada voltará ao normal, a partir do momento que o conteúdo da área de transferência se altere, o texto da área marcada se modifique ou o &LMB; seja carregado.

  Para marcar o texto numa aplicação que lide com o rato (como por exemplo, o Midnight Commander), a tecla &Shift; tem de ser pressionada enquanto carrega.

Meio

  Se carregar com o &MMB;, irá colar o texto que se encontra de momento na área de transferências. Se mantiver carregada a tecla &Ctrl; à medida que carrega no &MMB; irá colar o texto e enviá-lo para o &konsole;.

  Se você tiver um rato com apenas dois botões, basta carregar tanto no &LMB; como no &RMB; em conjunto para emular o &MMB; de um rato de três botões.

  Se tiver uma roda como botão do meio, ao rodá-la num programa que não reconheça o rato, irá mover a barra de posicionamento do &konsole;.

Direito

  Estes itens aparecem no menu quando carregar com o &RMB;: Copiar, Colar, Abrir o Gestor de Ficheiros, Mudar a Codificação, Limpar o Posicionamento, Configurar o Posicionamento..., Mudar o Perfil, Mostrar o Menu, Configurar o Perfil Actual... e Fechar a Página

  Numa aplicação que reconheça o rato, carregue na tecla &Shift;, em conjunto com o &RMB;, para obter o menu de contexto.

## Referência de Comandos

### A Barra de Menu

A barra do menu encontra-se no topo da janela do &konsole;. Se esta estiver escondida, poderá aceder à opção Mostrar o Menu se carregar com o botão direito na janela (desde que não esteja nenhuma aplicação a correr em todo o ecrã nessa janela, como o 'vi', 'minicom', etc.). O atalho por omissão aparece depois de cada item do menu.

#### O Menu Ficheiro

&Ctrl;&Shift;N Ficheiro Nova Janela

  Abre uma janela nova do &konsole; em separado com o perfil por omissão

&Ctrl;&Shift;T Ficheiro Nova Página

  Abre uma página nova com o perfil por omissão

  O &konsole; vem com o perfil de Linha de Comandos por omissão. Todos os perfis que sejam adicionados pelo utilizador terão o seu próprio item de menu no submenu.

&Ctrl;&Shift;W Ficheiro Fechar a Página

  Fecha a página actual

Ficheiro Gravar o Resultado Como...

  Grava o histórico de posicionamento actual como um ficheiro de texto ou HTML

Ficheiro Abrir o Gestor de Ficheiros

  Abre o gestor de ficheiros do &kde; na pasta actual. Por omissão, este é o &dolphin;.

&Ctrl;&Shift;Q Ficheiro Sair

  Sai do &konsole;

  O &konsole; irá mostrar uma janela, caso exista mais de uma página aberta. Esta janela poderá ser desactivada se assinalar a opção Não perguntar de novo.

#### O Menu Editar

&Ctrl;&Shift;C Editar Copiar

  Copia o texto seleccionado para a área de transferência

&Ctrl;&Shift;V Editar Colar

  Cola o texto da área de transferência na posição do cursor

Editar Copiar a Entrada Para Todas as Páginas da Janela Actual

  Permite a introdução de dados da sessão actual ser enviada em simultâneo para todas as sessões da janela actual

&Ctrl;&Shift;. Editar Copiar a Entrada Para Seleccionar as Páginas...

  Permite que a introdução de dados da sessão actual seja enviada em simultâneo para as sessões escolhidas pelo utilizador

&Ctrl;&Shift;/ Editar Copiar a Entrada Para Nenhuma

  Parar a introdução de todos os dados para as outras sessões

&Ctrl;&Alt;S Ver Mudar o Nome da Página...

  Abre uma janela que lhe permitirá mudar o nome da página actual (mais informações)

&Ctrl;&Alt;U Editar Enviar por Z-Modem...

  Abre uma janela para seleccionar um ficheiro a enviar, caso esteja instalada a aplicação necessária

&Ctrl;&Shift;F Editar Procurar...

  Abre uma barra de pesquisa no fundo da janela do &konsole;

  Esta permite pesquisas com distinção de maiúsculas, para a frente ou para trás, ou ainda por expressões regulares.

F3 Editar Procurar o Seguinte

  Passa para a instância de pesquisa seguinte

&Shift;F3 Editar Procurar o Anterior

  Passa para a instância de pesquisa anterior

#### O Menu Ver

&Ctrl;( Ver Dividir a Janela Dividir a Janela Esquerda/Direita

  Divide todas as páginas em janelas esquerdas e direitas

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;) Ver Dividir a Janela Dividir a Janela Cima/Baixo

  Divide todas as páginas em janelas superiores e inferiores

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;&Shift;S Ver Dividir a Janela Fechar a Janela Activa

  Fecha a janela activa

&Ctrl;&Shift;O Ver Dividir a Janela Fechar as Outras Janelas

  Fecha a janela não-actual

&Ctrl;&Shift;] Ver Dividir a Janela Expandir a Janela

  Torna a janela actual maior

&Ctrl;&Shift;[ Ver Dividir a Vista Encolher a Vista

  Torna a janela actual menor

&Ctrl;&Shift;H Ver Dissociar a Página Actual

  Abre a página actual numa janela separada

  Se sair da janela anterior do &konsole;, não irá afectar a janela acabada de criar.

&Ctrl;&Shift;I Ver Monitorizar o Silêncio

  Activa ou desactiva a vigilância da falta de actividade da página actual

  Por omissão, ao fim de 10 segundos de inactividade, irá aparecer um ícone informativo na página da sessão. O tipo de alertas poderá ser configurado através da opção Configuração Configurar as NotificaçõesSilêncio na sessão vigiada.

&Ctrl;&Shift;A Ver Monitorizar a Actividade

  Activa ou desactiva a vigilância de actividade da página actual

  Em caso de qualquer actividade, irá aparecer um ícone informativo na página da sessão. O tipo de alertas poderá ser alterado através da opção Configuração Configurar as NotificaçõesActividade na sessão vigiada.

&Ctrl;+ Ver Aumentar o Tipo de Letra

  Aumenta o tamanho do texto

&Ctrl;- Ver Diminuir o Tipo de Letra

  Diminui o tamanho do texto

Ver Escolher a Codificação

  Altera a codificação de caracteres

Ver Limpar o Posicionamento

  Limpa o texto no posicionamento

&Ctrl;&Shift;X Posicionamento Limpar o Posicionamento e Reiniciar

  Limpa o texto na página actual e no posicionamento, reiniciando depois o terminal

#### O Menu Favoritos

&Ctrl;&Shift;B Favoritos Adicionar aos Favoritos

  Adiciona o local actual

Favoritos Marcar as Páginas como uma Pasta de Favoritos...

  Adiciona todas as páginas como uma pasta de favoritos

  Irá abrir uma janela para introduzir o nome da pasta de favoritos.

Favoritos Nova Pasta de Favoritos...

  Adiciona uma nova pasta à lista de favoritos

  Irá abrir uma janela para introduzir o nome da pasta de favoritos.

Favoritos Editar os Favoritos

  Abre o editor de favoritos

  Você poderá usar o editor de favoritos para adicionar manualmente URLs. De momento, o &konsole; suporta os seguintes formatos:

  - ssh://utilizador@máquina:porto

  - telnet://utilizador@máquina:porto

#### O Menu Configuração

Configuração Configurar os Perfis...

  Abre um editor para gerir os perfis

&Ctrl;&Shift;M Configuração Mostrar o Menu

  Activa ou desactiva a visibilidade do menu

Configuração Modo de Ecrã Completo

  Activa ou desactiva a ocupação de todo o ecrã pelo &konsole;

Configuração Configurar os Atalhos...

  Abre o editor de atalhos do teclado

Configuração Configurar as Notificações...

  Abre o editor de notificações

#### O Menu Ajuda

&help.menu.documentation;

### Janela de Mudança de Nome da Página

O nome da página actual poderá ser alterado com esta janela. A janela poderá ser invocada através do menu, da combinação de teclas &Ctrl;&Alt;S ou se fizer duplo-click no separador da página, na barra de páginas. Estas alterações poder-se-ão tornar permanentes ao editar o perfil actual.

O &konsole; irá substituir estes itens:

- %n : nome do programa

- %d : pasta actual (curta)

- %D : pasta actual (extensa)

- %w : título da janela definido pela linha de comandos

- %# : número da sessão

- %u : nome do utilizador

Exemplos:

- O `%d : %n`, com a '/usr/src' como pasta actual e a executar o bash irá mostrar usr/s : bash

- O `%D : %n`, com a '/usr/src' como pasta actual e a executar o top irá mostrar usr/src : top

- O `%w (%#)`, com a ~ como pasta actual e a executar o vim na primeira página, irá mostrar [Sem Nome] (~) - VIM(1)

### Janela de Cópia da Entrada

O texto introduzido numa página poderá ser enviado em simultâneo para as outras páginas. Esta janela permite-lhe seleccionar quais as páginas que irão receber esses dados introduzidos. A pasta actual irá ficar acinzentada.

### Janela de Opções do Deslocamento

As opções de deslocamento poderão ser alteradas nesta janela. Existe também uma opção para gravar essa configuração no perfil actual.

## Opções da Linha de Comandos

Quando o &konsole; é iniciado a partir da linha de comandos, várias opções poderão ser indicadas para alterar o seu comportamento.

`--help`

  Mostra as várias opções.

`--profile` `ficheiro`

  Inicia o &konsole; com um conjunto definido de sessões.

`--list-profiles`

  Mostra todos os perfis disponíveis.

`--background-mode`

  Inicia o &konsole; em segundo plano e passa para a frente quando carregar na tecla F12.

`--new-tab`

  Cria uma página nova numa janela existente, em vez de criar uma janela nova.

`--tabs-from-file` `ficheiro`

  Cria páginas a partir dos dados definidos no ficheiro de configuração de páginas indicado.

  O ficheiro tem uma página por linha, no seguinte formato:

  title: Este é o título;; command: execute-me

`--workdir` `directoria`

  Abre com a `directoria` como sendo a pasta de trabalho (inicial).

`--notransparency`

  Desactiva os fundos transparentes, mesmo se o sistema os suportar.

`--force-transparency`

  Tenta activar a transparência, mesmo que o sistema não parece suportá-la.

`--hold, --noclose`

  Não fecha a sessão inicial automaticamente, quando esta terminar.

`-p` `propriedade=valor`

  Muda o valor de uma propriedade do perfil.

`-e` `comando`

  Executa o `comando` em vez da linha de comandos normal.

  Todos os argumentos a seguir ao `comando` serão passados ao `comando`, não ao &konsole;.

O &konsole; também aceita as opções genéricas do &Qt; e do &kde;:

`--help-qt`

  Mostra as opções específicas do &Qt;

As seguintes opções do &Qt; não fazem efeito no &konsole;:

`--fn`, `--font` `tipo_letra`

  Define o tipo de letra da aplicação

`--bg`, `--background` `cor`

  Altera a cor de fundo por omissão

`--fg`, `--foreground` `cor`

  Altera a cor do texto por omissão

`--btn`, `--button` `cor`

  Altera a cor dos botões por omissão

`--help-kde`

  Mostra as opções específicas do &kde;

`--help-all`

  Mostra todas as opções

`--author`

  Mostra os nomes dos autores

`-v,--version`

  Mostra o número da versão

`--license`

  Mostra informações sobre a licença

## Programação no &konsole;

Para o &kde; 4, o antigo &DCOP; foi substituído pelo &DBus;. O &konsole; suporta diversos métodos para serem usados com o &DBus;.

Existem duas formas de usar a interface de &DBus;: a &GUI; do &Qt; qdbusviewer e o utilitário da linha de comandos qdbus.

Exemplos:

- O &percnt; `qdbus` irá mostrar todos os serviços disponíveis.

- O &percnt; `qdbus` `org.kde.konsole` irá mostrar a interface de &DBus; para o &konsole;.

- O &percnt; `qdbus` `org.kde.konsole /Konsole` irá mostrar os métodos para controlar a janela principal do &konsole;.

- O &percnt; `qdbus` `org.kde.konsole /Sessions/1` irá mostrar os métodos da sessão 1.

Se iniciar o &konsole; a partir de um terminal, poderá ter de alterar o `org.kde.konsole` para `org.kde.konsole-`pidof -s konsole``.

Para mais informações, vá por favor ao tutorial sobre &DBus;.

## Sabia Que?, Assuntos Comuns e Mais

### Sabia Que?

- Se carregar no &Ctrl; enquanto selecciona texto, fará com que as quebras de linhas sejam convertidas para espaços quando colar o texto.

- Se carregar com as teclas &Ctrl;&Alt; enquanto selecciona o texto, irá seleccionar as colunas.

- Quando um programa avalia qualquer um dos botões do rato, se carregar na tecla &Shift; fará aparecer um menu de contexto.

- A combinação &Ctrl;&Shift;F10 irá activar o menu.

- A combinação &Shift;Insert irá inserir o conteúdo da área de transferência.

- Se fizer duplo-click, irá seleccionar uma palavra inteira. Se continuar a manter o botão carregado e arrastar o rato, irá extender a selecção.

- Se fizer triplo-click, irá seleccionar uma linha inteira. Se continuar a manter o botão carregado e arrastar o rato, irá extender a selecção.

### Assuntos Comuns

- Por omissão, quando é iniciado a partir de um terminal, o &konsole; irá correr em segundo plano. Use a opção `--nofork` para obrigar o &konsole; a correr em primeiro plano.

  Isto é necessário para alguns programas e comandos funcionarem como seria de esperar:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u utilizador konsole --nofork`

- No KDE3, cada página tinha o seu próprio ID de processo. Contudo, no KDE4, todas as páginas usam o mesmo ID de processo. Isto tem o problema que, se o processo de alguma página tiver problemas, todas as outras páginas também terão problemas.

  Isto é mais notório quando um comando que se ligue a um dispositivo ou sistema externo (SSH, NFS) tiver problemas.

## Créditos e Direitos de Cópia

O &konsole; é mantido de momento por &Robert.Knight; &Robert.Knight.mail;

Os responsáveis anteriores pela manutenção do &konsole; incluem: &Kurt.Hindenburg; &Kurt.Hindenburg.mail; e &Waldo.Bastian; &Waldo.Bastian.mail;

A aplicação &konsole; tem o 'copyright' © 1997-2008 de &Lars.Doelle; &Lars.Doelle.mail;

Este documento foi escrito pelo &Jonathan.Singer; &Jonathan.Singer.mail;

Este documento foi actualizado para o &kde; 3.4 pelo &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Este documento foi actualizado para o &kde; 4.1 pelo &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Foi convertido originalmente para SGML de DocBook por &Mike.McBride; e &Lauri.Watts;

Tradução de José Nuno Pires zepires@gmail.com

&underFDL; &underGPL;

## Hiperligações

Para mais informações, visite estas páginas Web:

- Página Web do &konsole; na Base de Utilizadores do &kde;

- Página pessoal do &konsole;

- Lista de correio do &konsole;

- &kde; em FreeBSD

- &kde; em &Solaris;

&documentation.index;